Skip to main content
GET
/
collateral_management
/
packages
List packages
curl --request GET \
  --url https://api.anchorage-staging.com/v2/collateral_management/packages \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "active": true,
      "clientReferenceId": "<string>",
      "collateralAssets": [
        {
          "asset": {
            "assetType": "<string>"
          },
          "price": "<string>",
          "quantity": "<string>",
          "weight": "<string>",
          "weightedValue": "<string>"
        }
      ],
      "critical": {
        "defaultNotice": true,
        "ltv": "<string>",
        "returnToLtv": "<string>",
        "warningLtv": "<string>"
      },
      "exposureValue": "<string>",
      "packageId": "<string>",
      "packageValue": "<string>",
      "pledgorId": "<string>",
      "securedPartyId": "<string>",
      "acceleratedMarginCall": {
        "curePeriod": "<string>",
        "ltv": "<string>"
      },
      "currentLtv": "<string>",
      "ltvTimestamp": "<string>",
      "marginCall": {
        "curePeriod": "<string>",
        "curePeriodProtection": true,
        "ltv": "<string>",
        "returnToLtv": "<string>",
        "warningLtv": "<string>"
      },
      "marginReturn": {
        "ltv": "<string>",
        "returnToLtv": "<string>"
      }
    }
  ],
  "page": {
    "next": "<next page url>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Query Parameters

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

limit
integer<int64>
default:30

Maximum number of results to return per query

Required range: 1 <= x <= 100

Response

packages

data
object[]
required
page
Page · object
required

Pagination info